diff --git a/framework/source/services/frame.cxx b/framework/source/services/frame.cxx
index 29aefb6..d1c70dd 100644
--- a/framework/source/services/frame.cxx
+++ b/framework/source/services/frame.cxx
@@ -2627,7 +2609,7 @@ void SAL_CALL Frame::windowHidden( const css::lang::EventObject& ) throw(css::un
     impl_checkMenuCloser();
 }
 
-/*-****************************************************************************************************
+/*
     @short      called by dispose of our windows!
     @descr      This object is forced to release all references to the interfaces given
                 by the parameter source. We are a listener at our container window and
@@ -2636,7 +2618,7 @@ void SAL_CALL Frame::windowHidden( const css::lang::EventObject& ) throw(css::un
     @seealso    XWindowListener
     @seealso    XTopWindowListener
     @seealso    XFocusListener
-*//*-*****************************************************************************************************/
+*/
 void SAL_CALL Frame::disposing( const css::lang::EventObject& aEvent ) throw( css::uno::RuntimeException, std::exception )
 {
     /* SAFE AREA ----------------------------------------------------------------------------------------------- */
@@ -2652,7 +2634,7 @@ void SAL_CALL Frame::disposing( const css::lang::EventObject& aEvent ) throw( cs
     }
 }
 
-/*-************************************************************************************************************
+/*
     @interface  com.sun.star.document.XActionLockable
     @short      implement locking of frame/task from outside
     @descr      Sometimes we have problems to decide if closing of task is allowed. Because; frame/task
@@ -2666,7 +2648,7 @@ void SAL_CALL Frame::disposing( const css::lang::EventObject& aEvent ) throw( cs
     @return     true if frame/task is locked
                 false otherwise
     @threadsafe yes
-*//*-*************************************************************************************************************/
+*/
 sal_Bool SAL_CALL Frame::isActionLocked() throw( css::uno::RuntimeException, std::exception )
 {
     SolarMutexGuard g;
@@ -2906,11 +2888,11 @@ void Frame::impl_notifyChangeListener(const css::beans::PropertyChangeEvent& aEv
     }
 }
 
-/*-****************************************************************************************************
+/*
     @short      send frame action event to our listener
     @descr      This method is threadsafe AND can be called by our dispose method too!
     @param      "aAction", describe the event for sending
-*//*-*****************************************************************************************************/
+*/
 void Frame::implts_sendFrameActionEvent( const css::frame::FrameAction& aAction )
 {
     // Sometimes used by dispose()
@@ -2959,12 +2941,12 @@ void Frame::implts_sendFrameActionEvent( const css::frame::FrameAction& aAction
     }
 }
 
-/*-****************************************************************************************************
+/*
     @short      helper to resize our component window
     @descr      A frame contains 2 windows - a container ~ and a component window.
                 This method resize inner component window to full size of outer container window.
                 This method is threadsafe AND can be called by our dispose method too!
-*//*-*****************************************************************************************************/
+*/
 void Frame::implts_resizeComponentWindow()
 {
     // usually the LayoutManager does the resizing
@@ -2988,7 +2970,7 @@ void Frame::implts_resizeComponentWindow()
     }
 }
 
-/*-****************************************************************************************************
+/*
     @short      helper to set icon on our container window (if it is a system window!)
     @descr      We use our internal set controller (if it exist) to specify which factory he represented.
                 These information can be used to find right icon. But our controller can say it us directly
@@ -2996,7 +2978,7 @@ void Frame::implts_resizeComponentWindow()
 
     @seealso    method Window::SetIcon()
     @onerror    We do nothing.
-*//*-*****************************************************************************************************/
+*/
 void Frame::implts_setIconOnWindow()
 {
     checkDisposed();
@@ -3073,7 +3055,7 @@ void Frame::implts_setIconOnWindow()
     }
 }
 
-/*-************************************************************************************************************
+/*
     @short      helper to start/stop listeneing for window events on container window
     @descr      If we get a new container window, we must set it on internal member ...
                 and stop listening at old one ... and start listening on new one!
@@ -3084,7 +3066,7 @@ void Frame::implts_setIconOnWindow()
     @seealso    method dispose()
     @onerror    We do nothing!
     @threadsafe yes
-*//*-*************************************************************************************************************/
+*/
 void Frame::implts_startWindowListening()
 {
     checkDisposed();
@@ -3157,7 +3139,7 @@ void Frame::implts_stopWindowListening()
     }
 }
 
-/*-****************************************************************************************************
+/*
     @short      helper to force breaked close() request again
     @descr      If we self disagree with a close() request, and detect that all external locks are gone ...
                 then we must try to close this frame again.
@@ -3170,7 +3152,7 @@ void Frame::implts_stopWindowListening()
     @seealso    m_nExternalLockCount
 
     @threadsafe yes
-*//*-*****************************************************************************************************/
+*/
 void Frame::implts_checkSuicide()
 {
     /* SAFE */
diff --git a/framework/source/services/taskcreatorsrv.cxx b/framework/source/services/taskcreatorsrv.cxx
index 265b30e..1a2cecb 100644
--- a/framework/source/services/taskcreatorsrv.cxx
+++ b/framework/source/services/taskcreatorsrv.cxx
@@ -20,7 +20,7 @@
 #include <helper/persistentwindowstate.hxx>
 #include <helper/tagwindowasmodified.hxx>
 #include <helper/titlebarupdate.hxx>
-#include <loadenv/targethelper.hxx>
+#include <loadenv/deliveryhelper.hxx>
 #include <taskcreatordefs.hxx>
 
 #include <com/sun/star/frame/Frame.hpp>
@@ -141,18 +141,18 @@ css::uno::Reference< css::uno::XInterface > SAL_CALL TaskCreatorService::createI
     OUString                           sFrameName                    = lArgs.getUnpackedValueOrDefault(ARGUMENT_FRAMENAME                    , OUString()                          );
     bool                                  bVisible                      = lArgs.getUnpackedValueOrDefault(ARGUMENT_MAKEVISIBLE                  , false );
     bool                                  bCreateTopWindow              = lArgs.getUnpackedValueOrDefault(ARGUMENT_CREATETOPWINDOW              , true );
-    // only possize=[0,0,0,0] triggers default handling of vcl !
+    // only possize=[0,0,0,0] triggers default handling of vcl
     css::awt::Rectangle                       aPosSize                      = lArgs.getUnpackedValueOrDefault(ARGUMENT_POSSIZE                      , css::awt::Rectangle(0, 0, 0, 0)            );
     css::uno::Reference< css::awt::XWindow >  xContainerWindow              = lArgs.getUnpackedValueOrDefault(ARGUMENT_CONTAINERWINDOW              , css::uno::Reference< css::awt::XWindow >() );
     bool                                  bSupportPersistentWindowState = lArgs.getUnpackedValueOrDefault(ARGUMENT_SUPPORTPERSISTENTWINDOWSTATE , false );
     bool                                  bEnableTitleBarUpdate         = lArgs.getUnpackedValueOrDefault(ARGUMENT_ENABLE_TITLEBARUPDATE        , true );
 
-    // We use FrameName property to set it as API name of the new created frame later.
-    // But those frame names must be different from the set of special target names as e.g. _blank, _self etcpp !
+    // We use FrameName property to set it as API name of the fresh created frame later.
+    // But those names are different from the set of special cases like _blank, _self etc.
     OUString sRightName = impl_filterNames(sFrameName);
 
-    // if no external frame window was given ... create a new one.
-    if ( ! xContainerWindow.is())
+    // if no external frame window was given ... create a new one
+    if ( ! xContainerWindow.is() )
     {
         css::uno::Reference< css::awt::XWindow > xParentWindow;
         if (xParentFrame.is())
@@ -358,7 +358,7 @@ void TaskCreatorService::implts_establishTitleBarUpdate( const css::uno::Referen
 OUString TaskCreatorService::impl_filterNames( const OUString& sName )
 {
     OUString sFiltered;
-    if (TargetHelper::isValidNameForFrame(sName))
+    if ( DeliveryHelper::isValidNameForFrame(sName) )
         sFiltered = sName;
     return sFiltered;
 }
diff --git a/framework/source/uiconfiguration/imagemanager.cxx b/framework/source/uiconfiguration/imagemanager.cxx
index 045529b..2bcf1e3 100644
--- a/framework/source/uiconfiguration/imagemanager.cxx
+++ b/framework/source/uiconfiguration/imagemanager.cxx
@@ -114,46 +114,46 @@ throw (css::uno::RuntimeException, std::exception)
     return m_pImpl->getAllImageNames( nImageType );
 }
 
-sal_Bool SAL_CALL ImageManager::hasImage( ::sal_Int16 nImageType, const OUString& aCommandURL )
+sal_Bool SAL_CALL ImageManager::hasImage( ::sal_Int16 nImageType, const OUString& aActionURL )
 throw (css::lang::IllegalArgumentException, css::uno::RuntimeException, std::exception)
 {
-    return m_pImpl->hasImage(nImageType,aCommandURL);
+    return m_pImpl->hasImage( nImageType, aActionURL );
 }
 
 Sequence< uno::Reference< XGraphic > > SAL_CALL ImageManager::getImages(
     ::sal_Int16 nImageType,
-    const Sequence< OUString >& aCommandURLSequence )
+    const Sequence< OUString >& aActionURLSequence )
 throw ( css::lang::IllegalArgumentException, css::uno::RuntimeException, std::exception )
 {
-    return m_pImpl->getImages(nImageType,aCommandURLSequence);
+    return m_pImpl->getImages( nImageType, aActionURLSequence );
 }
 
 void SAL_CALL ImageManager::replaceImages(
     ::sal_Int16 nImageType,
-    const Sequence< OUString >& aCommandURLSequence,
+    const Sequence< OUString >& aActionURLSequence,
     const Sequence< uno::Reference< XGraphic > >& aGraphicsSequence )
 throw ( css::lang::IllegalArgumentException,
         css::lang::IllegalAccessException,
         css::uno::RuntimeException, std::exception)
 {
-    m_pImpl->replaceImages(nImageType,aCommandURLSequence,aGraphicsSequence);
+    m_pImpl->replaceImages( nImageType, aActionURLSequence, aGraphicsSequence );
 }
 
-void SAL_CALL ImageManager::removeImages( ::sal_Int16 nImageType, const Sequence< OUString >& aCommandURLSequence )
+void SAL_CALL ImageManager::removeImages( ::sal_Int16 nImageType, const Sequence< OUString >& aActionURLSequence )
 throw ( css::lang::IllegalArgumentException,
         css::lang::IllegalAccessException,
         css::uno::RuntimeException, std::exception)
 {
-    m_pImpl->removeImages(nImageType,aCommandURLSequence);
+    m_pImpl->removeImages( nImageType, aActionURLSequence );
 }
 
-void SAL_CALL ImageManager::insertImages( ::sal_Int16 nImageType, const Sequence< OUString >& aCommandURLSequence, const Sequence< uno::Reference< XGraphic > >& aGraphicSequence )
+void SAL_CALL ImageManager::insertImages( ::sal_Int16 nImageType, const Sequence< OUString >& aActionURLSequence, const Sequence< uno::Reference< XGraphic > >& aGraphicSequence )
 throw ( css::container::ElementExistException,
         css::lang::IllegalArgumentException,
         css::lang::IllegalAccessException,
         css::uno::RuntimeException, std::exception)
 {
-    m_pImpl->insertImages(nImageType,aCommandURLSequence,aGraphicSequence);
+    m_pImpl->insertImages( nImageType, aActionURLSequence, aGraphicSequence );
 }
 
 // XUIConfiguration
diff --git a/framework/source/uiconfiguration/imagemanagerimpl.cxx b/framework/source/uiconfiguration/imagemanagerimpl.cxx
index d229de9..4028ec41 100644
--- a/framework/source/uiconfiguration/imagemanagerimpl.cxx
+++ b/framework/source/uiconfiguration/imagemanagerimpl.cxx
@@ -172,16 +172,16 @@ void CmdImageList::initialize()
 }
 
 
-Image CmdImageList::getImageFromCommandURL(vcl::ImageType nImageType, const OUString& rCommandURL)
+Image CmdImageList::getImageFromActionURL(vcl::ImageType nImageType, const OUString& rActionURL)
 {
     initialize();
-    return m_aResolver.getImageFromCommandURL(nImageType, rCommandURL);
+    return m_aResolver.getImageFromCommandURL( nImageType, rActionURL );
 }
 
-bool CmdImageList::hasImage(vcl::ImageType /*nImageType*/, const OUString& rCommandURL)
+bool CmdImageList::hasImage(vcl::ImageType /*nImageType*/, const OUString& rActionURL)
 {
     initialize();
-    return m_aResolver.hasImage(rCommandURL);
+    return m_aResolver.hasImage( rActionURL );
 }
 
 std::vector<OUString>& CmdImageList::getImageCommandNames()
@@ -201,16 +201,16 @@ GlobalImageList::~GlobalImageList()
     pGlobalImageList = nullptr;
 }
 
-Image GlobalImageList::getImageFromCommandURL( vcl::ImageType nImageType, const OUString& rCommandURL )
+Image GlobalImageList::getImageFromActionURL( vcl::ImageType nImageType, const OUString& rActionURL )
 {
     osl::MutexGuard guard( getGlobalImageListMutex() );
-    return CmdImageList::getImageFromCommandURL( nImageType, rCommandURL );
+    return CmdImageList::getImageFromActionURL( nImageType, rActionURL );
 }
 
-bool GlobalImageList::hasImage( vcl::ImageType nImageType, const OUString& rCommandURL )
+bool GlobalImageList::hasImage( vcl::ImageType nImageType, const OUString& rActionURL )
 {
     osl::MutexGuard guard( getGlobalImageListMutex() );
-    return CmdImageList::hasImage( nImageType, rCommandURL );
+    return CmdImageList::hasImage( nImageType, rActionURL );
 }
 
 ::std::vector< OUString >& GlobalImageList::getImageCommandNames()
@@ -333,7 +333,7 @@ bool ImageManagerImpl::implts_loadUserImages(
                 for ( sal_Int32 i=0; i < nCount; i++ )
                 {
                     const ImageItemDescriptor* pItem = (*pList->pImageItemList)[i].get();
-                    aUserImagesVector.push_back( pItem->aCommandURL );
+                    aUserImagesVector.push_back( pItem->aActionURL );
                 }
 
                 uno::Reference< XStream > xBitmapStream = xUserBitmapsStorage->openStreamElement(
@@ -405,7 +405,7 @@ bool ImageManagerImpl::implts_storeUserImages(
             {
                 ImageItemDescriptor* pItem = new ImageItemDescriptor;
                 pItem->nIndex = i;
-                pItem->aCommandURL = pImageList->GetImageName( i );
+                pItem->aActionURL = pImageList->GetImageName( i );
                 pList->pImageItemList->push_back( std::unique_ptr<ImageItemDescriptor>(pItem) );
             }
 
@@ -683,7 +683,7 @@ throw (css::uno::RuntimeException)
     return comphelper::mapKeysToSequence( aImageCmdNameMap );
 }
 
-bool ImageManagerImpl::hasImage( ::sal_Int16 nImageType, const OUString& aCommandURL )
+bool ImageManagerImpl::hasImage( ::sal_Int16 nImageType, const OUString& aActionURL )
 throw (css::lang::IllegalArgumentException, css::uno::RuntimeException)
 {
     SolarMutexGuard g;
@@ -696,18 +696,18 @@ throw (css::lang::IllegalArgumentException, css::uno::RuntimeException)
         throw IllegalArgumentException();
 
     vcl::ImageType nIndex = implts_convertImageTypeToIndex( nImageType );
-    if ( m_bUseGlobal && implts_getGlobalImageList()->hasImage( nIndex, aCommandURL ))
+    if ( m_bUseGlobal && implts_getGlobalImageList()->hasImage( nIndex, aActionURL ))
         return true;
     else
     {
-        if ( m_bUseGlobal && implts_getDefaultImageList()->hasImage( nIndex, aCommandURL ))
+        if ( m_bUseGlobal && implts_getDefaultImageList()->hasImage( nIndex, aActionURL ))
             return true;
         else
         {
             // User layer
             ImageList* pImageList = implts_getUserImageList(nIndex);
             if ( pImageList )
-                return ( pImageList->GetImagePos( aCommandURL ) != IMAGELIST_IMAGE_NOTFOUND );
+                return ( pImageList->GetImagePos( aActionURL ) != IMAGELIST_IMAGE_NOTFOUND );
         }
     }
 
@@ -716,7 +716,7 @@ throw (css::lang::IllegalArgumentException, css::uno::RuntimeException)
 
 Sequence< uno::Reference< XGraphic > > ImageManagerImpl::getImages(
     ::sal_Int16 nImageType,
-    const Sequence< OUString >& aCommandURLSequence )
+    const Sequence< OUString >& aActionURLSequence )
 throw ( css::lang::IllegalArgumentException, css::uno::RuntimeException )
 {
     SolarMutexGuard g;
@@ -728,9 +728,9 @@ throw ( css::lang::IllegalArgumentException, css::uno::RuntimeException )
     if (( nImageType < 0 ) || ( nImageType > MAX_IMAGETYPE_VALUE ))
         throw IllegalArgumentException();
 
-    Sequence< uno::Reference< XGraphic > > aGraphSeq( aCommandURLSequence.getLength() );
+    Sequence< uno::Reference< XGraphic > > aGraphSeq( aActionURLSequence.getLength() );
 
-    const OUString* aStrArray = aCommandURLSequence.getConstArray();
+    const OUString* aStrArray = aActionURLSequence.getConstArray();
 
     vcl::ImageType                    nIndex            = implts_convertImageTypeToIndex( nImageType );
     rtl::Reference< GlobalImageList > rGlobalImageList;
@@ -746,14 +746,14 @@ throw ( css::lang::IllegalArgumentException, css::uno::RuntimeException )
     // 1. user image list (read/write)
     // 2. module image list (read)
     // 3. global image list (read)
-    for ( sal_Int32 n = 0; n < aCommandURLSequence.getLength(); n++ )
+    for ( sal_Int32 n = 0; n < aActionURLSequence.getLength(); n++ )
     {
         Image aImage = pUserImageList->GetImage( aStrArray[n] );
         if ( !aImage && m_bUseGlobal )
         {
-            aImage = pDefaultImageList->getImageFromCommandURL( nIndex, aStrArray[n] );
+            aImage = pDefaultImageList->getImageFromActionURL( nIndex, aStrArray[n] );
             if ( !aImage )
-                aImage = rGlobalImageList->getImageFromCommandURL( nIndex, aStrArray[n] );
+                aImage = rGlobalImageList->getImageFromActionURL( nIndex, aStrArray[n] );
         }
 
         aGraphSeq[n] = aImage.GetXGraphic();
@@ -764,7 +764,7 @@ throw ( css::lang::IllegalArgumentException, css::uno::RuntimeException )
 
 void ImageManagerImpl::replaceImages(
     ::sal_Int16 nImageType,
-    const Sequence< OUString >& aCommandURLSequence,
+    const Sequence< OUString >& aActionURLSequence,
     const Sequence< uno::Reference< XGraphic > >& aGraphicsSequence )
 throw (css::lang::IllegalArgumentException,
        css::lang::IllegalAccessException,
@@ -781,7 +781,7 @@ throw (css::lang::IllegalArgumentException,
         if ( m_bDisposed )
             throw DisposedException();
 
-        if (( aCommandURLSequence.getLength() != aGraphicsSequence.getLength() ) ||
+        if (( aActionURLSequence.getLength() != aGraphicsSequence.getLength() ) ||
             (( nImageType < 0 ) || ( nImageType > MAX_IMAGETYPE_VALUE )))
             throw IllegalArgumentException();
 
@@ -792,26 +792,26 @@ throw (css::lang::IllegalArgumentException,
         ImageList* pImageList = implts_getUserImageList(nIndex);
 
         uno::Reference< XGraphic > xGraphic;
-        for ( sal_Int32 i = 0; i < aCommandURLSequence.getLength(); i++ )
+        for ( sal_Int32 i = 0; i < aActionURLSequence.getLength(); i++ )
         {
             // Check size and scale. If we don't have any graphics ignore it
             if ( !implts_checkAndScaleGraphic( xGraphic, aGraphicsSequence[i], nIndex ))
                 continue;
 
-            sal_uInt16 nPos = pImageList->GetImagePos( aCommandURLSequence[i] );
+            sal_uInt16 nPos = pImageList->GetImagePos( aActionURLSequence[i] );
             if ( nPos == IMAGELIST_IMAGE_NOTFOUND )
             {
-                pImageList->AddImage(aCommandURLSequence[i], Image(xGraphic));
+                pImageList->AddImage( aActionURLSequence[i], Image(xGraphic) );
                 if ( !pInsertedImages )
                     pInsertedImages = new CmdToXGraphicNameAccess();
-                pInsertedImages->addElement( aCommandURLSequence[i], xGraphic );
+                pInsertedImages->addElement( aActionURLSequence[i], xGraphic );
             }
             else
             {
-                pImageList->ReplaceImage(aCommandURLSequence[i], Image(xGraphic));
+                pImageList->ReplaceImage( aActionURLSequence[i], Image(xGraphic) );
                 if ( !pReplacedImages )
                     pReplacedImages = new CmdToXGraphicNameAccess();
-                pReplacedImages->addElement( aCommandURLSequence[i], xGraphic );
+                pReplacedImages->addElement( aActionURLSequence[i], xGraphic );
             }
         }
 
@@ -849,7 +849,7 @@ throw (css::lang::IllegalArgumentException,
     }
 }
 
-void ImageManagerImpl::removeImages( ::sal_Int16 nImageType, const Sequence< OUString >& aCommandURLSequence )
+void ImageManagerImpl::removeImages( ::sal_Int16 nImageType, const Sequence< OUString >& aActionURLSequence )
 throw ( css::lang::IllegalArgumentException,
         css::lang::IllegalAccessException,
         css::uno::RuntimeException)
@@ -881,9 +881,9 @@ throw ( css::lang::IllegalArgumentException,
         ImageList*                        pImageList        = implts_getUserImageList(nIndex);
         uno::Reference< XGraphic >        xEmptyGraphic( Image().GetXGraphic() );
 
-        for ( sal_Int32 i = 0; i < aCommandURLSequence.getLength(); i++ )
+        for ( sal_Int32 i = 0; i < aActionURLSequence.getLength(); i++ )
         {
-            sal_uInt16 nPos = pImageList->GetImagePos( aCommandURLSequence[i] );
+            sal_uInt16 nPos = pImageList->GetImagePos( aActionURLSequence[i] );
             if ( nPos != IMAGELIST_IMAGE_NOTFOUND )
             {
                 Image aImage = pImageList->GetImage( nPos );
@@ -894,27 +894,27 @@ throw ( css::lang::IllegalArgumentException,
                 {
                     // Check, if we have a image in our module/global image list. If we find one =>
                     // this is a replace instead of a remove operation!
-                    Image aNewImage = pDefaultImageList->getImageFromCommandURL( nIndex, aCommandURLSequence[i] );
+                    Image aNewImage = pDefaultImageList->getImageFromActionURL( nIndex, aActionURLSequence[i] );
                     if ( !aNewImage )
-                        aNewImage = rGlobalImageList->getImageFromCommandURL( nIndex, aCommandURLSequence[i] );
+                        aNewImage = rGlobalImageList->getImageFromActionURL( nIndex, aActionURLSequence[i] );
                     if ( !aNewImage )
                     {
                         if ( !pRemovedImages )
                             pRemovedImages = new CmdToXGraphicNameAccess();
-                        pRemovedImages->addElement( aCommandURLSequence[i], xEmptyGraphic );
+                        pRemovedImages->addElement( aActionURLSequence[i], xEmptyGraphic );
                     }
                     else
                     {
                         if ( !pReplacedImages )
                             pReplacedImages = new CmdToXGraphicNameAccess();
-                        pReplacedImages->addElement( aCommandURLSequence[i], aNewImage.GetXGraphic() );
+                        pReplacedImages->addElement( aActionURLSequence[i], aNewImage.GetXGraphic() );
                     }
                 } // if ( m_bUseGlobal )
                 else
                 {
                     if ( !pRemovedImages )
                         pRemovedImages = new CmdToXGraphicNameAccess();
-                    pRemovedImages->addElement( aCommandURLSequence[i], xEmptyGraphic );
+                    pRemovedImages->addElement( aActionURLSequence[i], xEmptyGraphic );
                 }
             }
         }
@@ -953,13 +953,13 @@ throw ( css::lang::IllegalArgumentException,
     }
 }
 
-void ImageManagerImpl::insertImages( ::sal_Int16 nImageType, const Sequence< OUString >& aCommandURLSequence, const Sequence< uno::Reference< XGraphic > >& aGraphicSequence )
+void ImageManagerImpl::insertImages( ::sal_Int16 nImageType, const Sequence< OUString >& aActionURLSequence, const Sequence< uno::Reference< XGraphic > >& aGraphicSequence )
 throw ( css::container::ElementExistException,
         css::lang::IllegalArgumentException,
         css::lang::IllegalAccessException,
         css::uno::RuntimeException)
 {
-    replaceImages(nImageType,aCommandURLSequence,aGraphicSequence);
+    replaceImages( nImageType, aActionURLSequence, aGraphicSequence );
 }
 
 // XUIConfigurationPersistence
@@ -1040,9 +1040,9 @@ void ImageManagerImpl::reload()
                     {
                         if ( m_bUseGlobal )
                         {
-                            Image aImage = pDefaultImageList->getImageFromCommandURL( i, pIter->first );
+                            Image aImage = pDefaultImageList->getImageFromActionURL( i, pIter->first );
                             if ( !aImage )
-                                aImage = rGlobalImageList->getImageFromCommandURL( i, pIter->first );
+                                aImage = rGlobalImageList->getImageFromActionURL( i, pIter->first );
 
                             if ( !aImage )
                             {
diff --git a/framework/source/uiconfiguration/imagemanagerimpl.hxx b/framework/source/uiconfiguration/imagemanagerimpl.hxx
index 1d5022b..76fe521 100644
--- a/framework/source/uiconfiguration/imagemanagerimpl.hxx
+++ b/framework/source/uiconfiguration/imagemanagerimpl.hxx
@@ -58,8 +58,8 @@ namespace framework
             CmdImageList(const css::uno::Reference< css::uno::XComponentContext >& rxContext, const OUString& aModuleIdentifier);
             virtual ~CmdImageList();
 
-            virtual Image getImageFromCommandURL(vcl::ImageType nImageType, const OUString& rCommandURL);
-            virtual bool hasImage(vcl::ImageType nImageType, const OUString& rCommandURL);
+            virtual Image getImageFromActionURL( vcl::ImageType nImageType, const OUString& rActionURL );
+            virtual bool hasImage( vcl::ImageType nImageType, const OUString& rActionURL );
             virtual std::vector<OUString>& getImageCommandNames();
 
         protected:
@@ -79,8 +79,8 @@ namespace framework
             explicit GlobalImageList(const css::uno::Reference< css::uno::XComponentContext >& rxContext);
             virtual ~GlobalImageList() override;
 
-            virtual Image                           getImageFromCommandURL( vcl::ImageType nImageType, const OUString& rCommandURL ) override;
-            virtual bool                            hasImage( vcl::ImageType nImageType, const OUString& rCommandURL ) override;
+            virtual Image                           getImageFromActionURL( vcl::ImageType nImageType, const OUString& rActionURL ) override;
+            virtual bool                            hasImage( vcl::ImageType nImageType, const OUString& rActionURL ) override;
             virtual ::std::vector< OUString >&      getImageCommandNames() override;
     };
 
@@ -100,11 +100,11 @@ namespace framework
             // XImageManager
             void reset() throw (css::uno::RuntimeException, css::lang::IllegalAccessException);
             css::uno::Sequence< OUString > getAllImageNames( ::sal_Int16 nImageType ) throw (css::uno::RuntimeException);
-            bool hasImage( ::sal_Int16 nImageType, const OUString& aCommandURL ) throw (css::lang::IllegalArgumentException, css::uno::RuntimeException);
-            css::uno::Sequence< css::uno::Reference< css::graphic::XGraphic > > getImages( ::sal_Int16 nImageType, const css::uno::Sequence< OUString >& aCommandURLSequence ) throw (css::lang::IllegalArgumentException, css::uno::RuntimeException);
-            void replaceImages( ::sal_Int16 nImageType, const css::uno::Sequence< OUString >& aCommandURLSequence, const css::uno::Sequence< css::uno::Reference< css::graphic::XGraphic > >& aGraphicsSequence ) throw (css::lang::IllegalArgumentException, css::lang::IllegalAccessException, css::uno::RuntimeException, std::exception);
+            bool hasImage( ::sal_Int16 nImageType, const OUString& aActionURL ) throw (css::lang::IllegalArgumentException, css::uno::RuntimeException);
+            css::uno::Sequence< css::uno::Reference< css::graphic::XGraphic > > getImages( ::sal_Int16 nImageType, const css::uno::Sequence< OUString >& aActionURLSequence ) throw (css::lang::IllegalArgumentException, css::uno::RuntimeException);
+            void replaceImages( ::sal_Int16 nImageType, const css::uno::Sequence< OUString >& aActionURLSequence, const css::uno::Sequence< css::uno::Reference< css::graphic::XGraphic > >& aGraphicsSequence ) throw (css::lang::IllegalArgumentException, css::lang::IllegalAccessException, css::uno::RuntimeException, std::exception);
             void removeImages( ::sal_Int16 nImageType, const css::uno::Sequence< OUString >& aResourceURLSequence ) throw (css::lang::IllegalArgumentException, css::lang::IllegalAccessException, css::uno::RuntimeException);
-            void insertImages( ::sal_Int16 nImageType, const css::uno::Sequence< OUString >& aCommandURLSequence, const css::uno::Sequence< css::uno::Reference< css::graphic::XGraphic > >& aGraphicSequence ) throw (css::container::ElementExistException, css::lang::IllegalArgumentException, css::lang::IllegalAccessException, css::uno::RuntimeException);
+            void insertImages( ::sal_Int16 nImageType, const css::uno::Sequence< OUString >& aActionURLSequence, const css::uno::Sequence< css::uno::Reference< css::graphic::XGraphic > >& aGraphicSequence ) throw (css::container::ElementExistException, css::lang::IllegalArgumentException, css::lang::IllegalAccessException, css::uno::RuntimeException);
 
             // XUIConfiguration
             void addConfigurationListener( const css::uno::Reference< css::ui::XUIConfigurationListener >& Listener ) throw (css::uno::RuntimeException);
